org.apache.solr.core

## Class SolrXmlConfig

- java.lang.Object
- - org.apache.solr.core.SolrXmlConfig

-     public class SolrXmlConfig
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SOLR_XML_FILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrXmlConfig()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NodeConfig` | `fromConfig(Config config)`
    `static NodeConfig` | `fromFile(SolrResourceLoader loader, Path configFile)`
    `static NodeConfig` | `fromInputStream(SolrResourceLoader loader, InputStream is)`
    `static NodeConfig` | `fromSolrHome(Path solrHome)`
    `static NodeConfig` | `fromSolrHome(SolrResourceLoader loader, Path solrHome)`
    `static NodeConfig` | `fromString(SolrResourceLoader loader, String xml)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SOLR_XML_FILE

          public static final String SOLR_XML_FILE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SolrXmlConfig

          public SolrXmlConfig()

  - ### Method Detail

    - #### fromConfig

          public static NodeConfig fromConfig(Config config)

    - #### fromFile

          public static NodeConfig fromFile(SolrResourceLoader loader,
                                            Path configFile)

    - #### fromString

          public static NodeConfig fromString(SolrResourceLoader loader,
                                              String xml)

    - #### fromInputStream

          public static NodeConfig fromInputStream(SolrResourceLoader loader,
                                                   InputStream is)

    - #### fromSolrHome

          public static NodeConfig fromSolrHome(SolrResourceLoader loader,
                                                Path solrHome)

    - #### fromSolrHome

          public static NodeConfig fromSolrHome(Path solrHome)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.